Skip to main content

Drive Search Files

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.drive_search_files

Search Drive files using a query string.

Request Body

{
"jsonrpc": "2.0",
"id": "google-drive-search-files-example",
"method": "tools/call",
"params": {
"name": "google.drive_search_files",
"arguments": {
"query": "query_example",
"page_size": 1,
"fields": "fields_example",
"order_by": "order_by_example",
"page_token": "page_token_example"
}
}
}

Arguments Schema

{
"properties": {
"query": {
"type": "string"
},
"page_size": {
"type": "integer"
},
"fields": {
"type": "string"
},
"order_by": {
"type": "string"
},
"page_token": {
"type": "string"
}
},
"required": [
"query"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-drive-search-files-example",
"method": "tools/call",
"params": {
"name": "google.drive_search_files",
"arguments": {
"query": "query_example",
"page_size": 1,
"fields": "fields_example",
"order_by": "order_by_example",
"page_token": "page_token_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.drive_search_files executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}